Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM	(revision 2020)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM	(revision 2021)
@@ -147,5 +147,38 @@
 ####MARS MARS MARS MARS MARS
 ####MARS MARS MARS MARS MARS
-
+###VENUS TRACER
+state  real  qco2      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCO2"       "CO2 number mixing ratio"   "kg kg-1"
+state  real  qco       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCO"        "CO number mixing ratio"   "kg kg-1"
+state  real  qh2       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2"        "H2 number mixing ratio"   "kg kg-1"
+state  real  qo1d      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QO1D"        "O1d number mixing ratio"   "kg kg-1"
+state  real  qo        ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QO"        "O number mixing ratio"   "kg kg-1"
+state  real  qo2       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QO2"        "O2 number mixing ratio"   "kg kg-1"
+state  real  qo2dg     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QO2dg"        "O2dg number mixing ratio"   "kg kg-1"
+state  real  qo3       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QO3"        "O3 number mixing ratio"   "kg kg-1"
+state  real  qh        ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH"        "H number mixing ratio"   "kg kg-1"
+state  real  qoh       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QOH"        "OH number mixing ratio"   "kg kg-1"
+state  real  qho2      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QHO2"        "HO2 number mixing ratio"   "kg kg-1"
+state  real  qh2o2     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2O2"        "H2O2 number mixing ratio"   "kg kg-1"
+state  real  qcl       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCL"        "Cl number mixing ratio"   "kg kg-1"
+state  real  qclo      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCLO"        "ClO number mixing ratio"   "kg kg-1"
+state  real  qcl2      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCL2"        "Cl2 number mixing ratio"   "kg kg-1"
+state  real  qhcl      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QHCL"        "HCl number mixing ratio"   "kg kg-1"
+state  real  qhocl     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QHOCL"        "HOCl number mixing ratio"   "kg kg-1"
+state  real  qclco     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCLCO"        "ClCO number mixing ratio"   "kg kg-1"
+state  real  qclco3    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCLCO3"        "ClCO3 number mixing ratio"   "kg kg-1"
+state  real  qcocl2    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCOCL2"        "COCl2 number mixing ratio"   "kg kg-1"
+state  real  qss       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QS"        "S number mixing ratio"   "kg kg-1"
+state  real  qso       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QSO"        "SO number mixing ratio"   "kg kg-1"
+state  real  qso2      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QSO2"        "SO2 number mixing ratio"   "kg kg-1"
+state  real  qso3      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QSO3"        "SO3 number mixing ratio"   "kg kg-1"
+state  real  qs2o2     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QS2O2"        "S2O2 number mixing ratio"   "kg kg-1"
+state  real  qocs      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QOCS"        "OCS number mixing ratio"   "kg kg-1"
+state  real  qhso3     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QHSO3"        "HSO3 number mixing ratio"   "kg kg-1"
+state  real  qh2so4    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2SO4"        "H2SO4 number mixing ratio"   "kg kg-1"
+state  real  qs2       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QS2"        "S2 number mixing ratio"   "kg kg-1"
+state  real  qclso2    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCLSO2"        "ClSO2 number mixing ratio"   "kg kg-1"
+state  real  qoscl     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QOSCL"        "OSCl number mixing ratio"   "kg kg-1"
+state  real  qh2oliq   ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2OLIQ"        "H2O liq number mixing ratio"   "kg kg-1"
+state  real  qh2so4liq ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2SO4LIQ"        "H2SO4 liq number mixing ratio"   "kg kg-1"
 
 
@@ -1517,4 +1550,5 @@
 package   radioac      mars==20                     -              scalar:qtrac1
 package   radioac2     mars==21                     -              scalar:upward,downward
+package   VenusPC      mars==34                     -              scalar:qco2,qco,qh2,qh2o,qo1d,qo,qo2,qo2dg,qo3,qh,qoh,qho2,qh2o2,qcl,qclo,qcl2,qhcl,qhocl,qclco,qclco3,qcocl2,qss,qso,qso2,qso3,qs2o2,qocs,qhso3,qh2so4,qs2,qclso2,qoscl,qh2oliq,qh2so4liq
 ##### MARS OPTIONS
 ##### MARS OPTIONS
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM.newphys
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM.newphys	(revision 2020)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/Registry.EM.newphys	(revision 2021)
@@ -144,4 +144,39 @@
 ####MARS MARS MARS MARS MARS
 ####MARS MARS MARS MARS MARS
+###VENUS TRACER
+state  real  qco2      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCO2"       "CO2 number mixing ratio"   "kg kg-1"
+state  real  qco       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCO"        "CO number mixing ratio"   "kg kg-1"
+state  real  qh2       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2"        "H2 number mixing ratio"   "kg kg-1"
+state  real  qo1d      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QO1D"        "O1d number mixing ratio"   "kg kg-1"
+state  real  qo        ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QO"        "O number mixing ratio"   "kg kg-1"
+state  real  qo2       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QO2"        "O2 number mixing ratio"   "kg kg-1"
+state  real  qo2dg     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QO2dg"        "O2dg number mixing ratio"   "kg kg-1"
+state  real  qo3       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QO3"        "O3 number mixing ratio"   "kg kg-1"
+state  real  qh        ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH"        "H number mixing ratio"   "kg kg-1"
+state  real  qoh       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QOH"        "OH number mixing ratio"   "kg kg-1"
+state  real  qho2      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QHO2"        "HO2 number mixing ratio"   "kg kg-1"
+state  real  qh2o2     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2O2"        "H2O2 number mixing ratio"   "kg kg-1"
+state  real  qcl       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCL"        "Cl number mixing ratio"   "kg kg-1"
+state  real  qclo      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCLO"        "ClO number mixing ratio"   "kg kg-1"
+state  real  qcl2      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCL2"        "Cl2 number mixing ratio"   "kg kg-1"
+state  real  qhcl      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QHCL"        "HCl number mixing ratio"   "kg kg-1"
+state  real  qhocl     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QHOCL"        "HOCl number mixing ratio"   "kg kg-1"
+state  real  qclco     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCLCO"        "ClCO number mixing ratio"   "kg kg-1"
+state  real  qclco3    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCLCO3"        "ClCO3 number mixing ratio"   "kg kg-1"
+state  real  qcocl2    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCOCL2"        "COCl2 number mixing ratio"   "kg kg-1"
+state  real  qss       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QS"        "S number mixing ratio"   "kg kg-1"
+state  real  qso       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QSO"        "SO number mixing ratio"   "kg kg-1"
+state  real  qso2      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QSO2"        "SO2 number mixing ratio"   "kg kg-1"
+state  real  qso3      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QSO3"        "SO3 number mixing ratio"   "kg kg-1"
+state  real  qs2o2     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QS2O2"        "S2O2 number mixing ratio"   "kg kg-1"
+state  real  qocs      ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QOCS"        "OCS number mixing ratio"   "kg kg-1"
+state  real  qhso3     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QHSO3"        "HSO3 number mixing ratio"   "kg kg-1"
+state  real  qh2so4    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2SO4"        "H2SO4 number mixing ratio"   "kg kg-1"
+state  real  qs2       ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QS2"        "S2 number mixing ratio"   "kg kg-1"
+state  real  qclso2    ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QCLSO2"        "ClSO2 number mixing ratio"   "kg kg-1"
+state  real  qoscl     ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QOSCL"        "OSCl number mixing ratio"   "kg kg-1"
+state  real  qh2oliq   ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2OLIQ"        "H2O liq number mixing ratio"   "kg kg-1"
+state  real  qh2so4liq ikjftb  scalar  1  -  i01rhusdf=(bdy_interp:dt)  "QH2SO4LIQ"        "H2SO4 liq number mixing ratio"   "kg kg-1"
+
 
 
@@ -1516,4 +1551,5 @@
 package   newwatersca  mars==12                     -              scalar:qh2o,qh2o_ice,qdust,qdustn,qccn,qccnn
 package   radioac      mars==20                     -              scalar:qtrac1
+package   VenusPC      mars==34                     -              scalar:qco2,qco,qh2,qh2o,qo1d,qo,qo2,qo2dg,qo3,qh,qoh,qho2,qh2o2,qcl,qclo,qcl2,qhcl,qhocl,qclco,qclco3,qcocl2,qss,qso,qso2,qso3,qs2o2,qocs,qhso3,qh2so4,qs2,qclso2,qoscl,qh2oliq,qh2so4liq
 ##### MARS OPTIONS
 ##### MARS OPTIONS
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_initialize_les.F
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_initialize_les.F	(revision 2020)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/LES/modif_mars/module_initialize_les.F	(revision 2021)
@@ -87,9 +87,10 @@
    INTEGER, PARAMETER :: nl_max = 1000
    REAL, DIMENSION(nl_max) :: zk, p_in, theta, rho, u, v, qv, pd_in
+   REAL*8, DIMENSION(nl_max) :: pd_in8
    INTEGER :: nl_in
-
 
    INTEGER :: icm,jcm, ii, im1, jj, jm1, loop, error, fid, nxc, nyc
    REAL    :: u_mean,v_mean, f0, p_surf, p_level, qvf, z_at_v, z_at_u
+   REAL*8 :: p_level8
    REAL    :: xrad, yrad, zrad, rad, delt, cof1, cof2
 !   REAL, EXTERNAL :: interp_0
@@ -121,4 +122,5 @@
  REAL, DIMENSION(nl_max) :: venus_hrdyn
  REAL, DIMENSION(nl_max) :: altitude
+ REAL*8, DIMENSION(nl_max) :: trac
 !!MARS
 
@@ -969,4 +971,16 @@
     ENDIF
 
+    IF ((planet.eq."venus") .AND. ( config_flags%mars == 34 )) Then
+       pd_in8(:)=pd_in(:)
+       do i = 1,34
+         call read_tracer(trac,num_scalar,i,nl_in)
+         DO k=1,kte-1
+           p_level = grid%znu(k)*(pd_surf - grid%p_top) + grid%p_top
+           p_level8=p_level
+           scalar(its:ite,k,jts:jte,i+1) =  interp_0_log2( trac, pd_in8, p_level8, nl_in )
+         ENDDO
+       ENDDO
+       !close(unit=22)
+    ENDIF
 
     open(unit=21,file="altitude.txt",action="write")
@@ -1358,3 +1372,26 @@
       end subroutine read_lsf
 
+      subroutine read_tracer(trace,nq,qn,n)
+      implicit none
+      integer n,qn,nq ! qn : number of the tracer
+      real*8 tra(nq-1,n+1)
+      real*8 trace(n+1) !output
+      logical end_of_file
+
+      integer k,j
+
+! first element is the surface
+      open(unit=14,file='input_tracer',form='formatted',status='old')
+      rewind(14)
+      end_of_file = .false.
+        DO k=1,n
+          read(14,*) tra(:,k)
+          write(*,*) k,tra(qn,k)
+      ENDDO
+
+      close(14)
+      trace(:)=tra(qn,:)
+      end subroutine read_tracer
+
+
 END MODULE module_initialize_ideal
Index: /trunk/MESOSCALE/LMD_MM_MARS/SRC/PREP_MARS/Venus/readmeteo.F90
===================================================================
--- /trunk/MESOSCALE/LMD_MM_MARS/SRC/PREP_MARS/Venus/readmeteo.F90	(revision 2020)
+++ /trunk/MESOSCALE/LMD_MM_MARS/SRC/PREP_MARS/Venus/readmeteo.F90	(revision 2021)
@@ -252,20 +252,41 @@
 allocate(aps(altlen),bps(altlen),levels(altlen))
 #ifdef PHOTOCHEM
-nchemtrac = 14
+nchemtrac = 34
 allocate(wtnom(nchemtrac))
-wtnom(1)  = "c_co2"
-wtnom(2)  = "c_co"
-wtnom(3)  = "c_o"
-wtnom(4)  = "c_o1d"
-wtnom(5)  = "c_o2"
-wtnom(6)  = "c_o3"
-wtnom(7)  = "c_h"
-wtnom(8)  = "c_h2"
-wtnom(9)  = "c_oh"
-wtnom(10) = "c_ho2"
-wtnom(11) = "c_h2o2"
-wtnom(12) = "c_ch4"
-wtnom(13) = "c_n2"
-wtnom(14) = "c_ar"
+print*,'PHOTOCHEM2.1'
+wtnom(1)  = "co2"
+wtnom(2)  = "co"
+wtnom(3)  = "h2"
+wtnom(4) = "h2o"
+wtnom(5)  = "o1d"
+wtnom(6)  = "o"
+wtnom(7)  = "o2"
+wtnom(8)  = "o2dg"
+wtnom(9)  = "o3"
+wtnom(10)  = "h"
+wtnom(11)  = "oh"
+wtnom(12)  = "ho2"
+wtnom(13) = "h2o2"
+wtnom(14)  = "cl"
+wtnom(15)  = "clo"
+wtnom(16)  = "cl2"
+wtnom(17)  = "hcl"
+wtnom(18)  = "hocl"
+wtnom(19)  = "clco"
+wtnom(20)  = "clco3"
+wtnom(21)  = "cocl2"
+wtnom(22)  = "s"
+wtnom(23)  = "so"
+wtnom(24)  = "so2"
+wtnom(25)  = "so3"
+wtnom(26)  = "s2o2"
+wtnom(27)  = "ocs"
+wtnom(28)  = "hso3"
+wtnom(29)  = "h2so4"
+wtnom(30)  = "s2"
+wtnom(31)  = "clso2"
+wtnom(32)  = "oscl"
+wtnom(33)  = "h2oliq"
+wtnom(34)  = "h2so4liq"
 allocate(chemtrac(lonlen,latlen,altlen,timelen,nchemtrac))
 chemtrac(:,:,:,:,:)=0
@@ -772,4 +793,7 @@
   vfile(j,i,:,:)=vfile(lonlen+1-j,latlen+1-i,:,:)
   tsoilfile(j,i,:,:)=tsoilfile(lonlen+1-j,latlen+1-i,:,:)
+#ifdef PHOTOCHEM
+ chemtrac(j,i,:,:,:)=chemtrac(lonlen+1-j,latlen+1-i,:,:,:)
+#endif
 ENDDO
 ENDDO  
@@ -1343,18 +1367,478 @@
 !------------------------!
 #ifdef PHOTOCHEM
-    DO i=1,nchemtrac
-       FIELD=wtnom(i)
-       UNITS='units'
-       DESC='desc'
-       XLVL=200100.
-       SLAB=chemtrac(:,:,1,time_out(l),i)
-       ! And now put everything in the destination file
-       ! ... Header
-       write(1) IFV
-       write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
-       write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
-       ! ... Data
-       write(1) SLAB
-    ENDDO
+        FIELD='CO2'
+        UNITS='kg/kg'
+        DESC='CO2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),1)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='CO'
+        UNITS='kg/kg'
+        DESC='CO mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),2)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='H2'
+        UNITS='kg/kg'
+        DESC='H2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),3)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='H2O'
+        UNITS='kg/kg'
+        DESC='H2O mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),4)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='O1D'
+        UNITS='kg/kg'
+        DESC='O1D mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),5)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='O'
+        UNITS='kg/kg'
+        DESC='O mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),6)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='O2'
+        UNITS='kg/kg'
+        DESC='O2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),7)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='O2DG'
+        UNITS='kg/kg'
+        DESC='O2DG mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),8)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='O3'
+        UNITS='kg/kg'
+        DESC='O3 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),9)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='H'
+        UNITS='kg/kg'
+        DESC='H mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),10)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='OH'
+        UNITS='kg/kg'
+        DESC='OH mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),11)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='HO2'
+        UNITS='kg/kg'
+        DESC='hO2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),12)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='H2O2'
+        UNITS='kg/kg'
+        DESC='H2O2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),13)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='Cl'
+        UNITS='kg/kg'
+        DESC='Cl mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),14)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='ClO'
+        UNITS='kg/kg'
+        DESC='ClO mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),15)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='Cl2'
+        UNITS='kg/kg'
+        DESC='Cl2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),16)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='HCl'
+        UNITS='kg/kg'
+        DESC='HCl mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),17)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='HOCl'
+        UNITS='kg/kg'
+        DESC='HOCl mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),18)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='ClCO'
+        UNITS='kg/kg'
+        DESC='ClCO mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),19)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='ClCO3'
+        UNITS='kg/kg'
+        DESC='ClCO3 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),20)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='COCl2'
+        UNITS='kg/kg'
+        DESC='COClC2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),21)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='S'
+        UNITS='kg/kg'
+        DESC='S mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),22)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='SO'
+        UNITS='kg/kg'
+        DESC='SO mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),23)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='SO2'
+        UNITS='kg/kg'
+        DESC='SO2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),24)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='SO3'
+        UNITS='kg/kg'
+        DESC='SO3 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),25)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='S2O2'
+        UNITS='kg/kg'
+        DESC='S2O2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),26)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='OCS'
+        UNITS='kg/kg'
+        DESC='OCS mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),27)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='HSO3'
+        UNITS='kg/kg'
+        DESC='HSO3 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),28)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='H2SO4'
+        UNITS='kg/kg'
+        DESC='H2SO4 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),29)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='S2'
+        UNITS='kg/kg'
+        DESC='S2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),30)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='ClSO2'
+        UNITS='kg/kg'
+        DESC='ClSO2 mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),31)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='OSCl'
+        UNITS='kg/kg'
+        DESC='OSCl mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),32)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='H2Oliq'
+        UNITS='kg/kg'
+        DESC='H2Oliq mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),33)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
+
+
+        FIELD='H2SO4liq'
+        UNITS='kg/kg'
+        DESC='H2SO4liq mixing ratio'
+        XLVL=levels(k)
+        SLAB=chemtrac(:,:,1,time_out(l),34)
+                ! And now put everything in the destination file
+                ! ... Header
+        write(1) IFV
+        write(1) HDATE,XFCST,SOURCE,FIELD,UNITS,DESC,XLVL,NX,NY,IPROJ
+        write(1) STARTLOC,STARTLAT,STARTLON,DELTALAT,DELTALON
+                ! ... Data
+        write(1) SLAB
 #endif
 
